<template>
  <ob-table
      :items="items"
      :columns="columns"
      class="account-list-routes"
  >
    <template v-slot:comment="{ data }">
      <ob-tooltip
          v-if="data.item.comments"
          :content="data.item.comments"
      >
        <i class="icon event"/>
      </ob-tooltip>
    </template>
  </ob-table>
</template>

<script>
  import ObTable from "common-components/src/obComponents/obTable";
  import ObTooltip from "common-components/src/obComponents/obTooltip";
  import moment from "moment";

  export default {
    name: "list-routes",
    components: {
      ObTable,
      ObTooltip
    },
    props: {
      items: {
        type: Array,
        default: () => []
      }
    },
    data() {
      return {
        columns: [
          {
            title: '',
            key: 'direction',
            html: ({direction}) => direction === 'FROM' ? '<i class="icon route-loading"/>' : '<i class="icon route-unloading"/>'
          },
          {
            title: 'Дата',
            key: 'plannedSlotStartAt',
            html: ({plannedSlotStartAt}) => moment(plannedSlotStartAt).format('DD.MM.YYYY')
          },
          {
            title: 'слот',
            key: 'slot-time',
            html: ({plannedSlotStartAt, plannedSlotEndAt}) =>
              `${moment(plannedSlotStartAt).format('HH:mm')} - ${moment(plannedSlotEndAt).format('HH:mm')}`
          },
          {
            title: 'адрес',
            key: 'addressTitle',
            html: ({addressTitle}) => `<div class="block-route"><i class="icon pin"></i><span> ${addressTitle}</span></div>`
          },
          {
            title: 'Грузоотправитель / Грузополучатель',
            key: 'title',
          },
          {
            title: 'Комментарий',
            key: 'comments',
            slotName: 'comment'
          }
        ]
      }
    },
    mounted() {
      console.log('before::::', this.items);
    }
  }
</script>

<style scoped lang="scss">
  .account-list-routes {
    .event {
      color: $blue-600;
      font-size: 17px;
    }
  }
</style>

<style lang="scss">
  .account-list-routes {
    .route-loading {
      color: $diamond-orange-yellow !important;
    }
    .route-unloading {
      color: $color-green-light !important;
    }
    .block-route {
      display: flex;
      justify-content: center;
      align-items: center;
      .pin {
        margin-right: 11px;
        color: $blue-600;
      }
    }
  }
</style>
